Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 163874 - Installed initrd makes kernel panic after fresh installation
Summary: Installed initrd makes kernel panic after fresh installation
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mkinitrd
Version: 4
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Peter Jones
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-21 18:43 UTC by Magnus Anderson
Modified: 2008-02-19 06:49 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-02-19 06:49:06 UTC


Attachments (Terms of Use)

Description Magnus Anderson 2005-07-21 18:43:26 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050513 Fedora/1.0.4-1.3.1 Firefox/1.0.4

Description of problem:
After clean installation of Fedora Core 4 the installed initrd does not work.

The error that gets outputted after "Uncompressing kernel..." are
Kernel panic - not syncing: VFS: Unable to mount root fs on unknown block(0,0)

When booting there was no sum and size numbers after the initrd string right after the kernel as it should do.

This error was solved by doing:
1. Starting the computer in rescue mode with the DVD
2. Removing the precompiled initrd in /boot
3. Running mkinitrd /boot/initrd-2.6.11-1.1369.img 2.6.11-1.1369_FC4

The filesystem looks like this
/dev/hda1 reiserfs /boot
/dev/hda2 LVM
/dev/VolGroup00/LogVol00 swap
/dev/VolGroup00/LogVol01 reiserfs /
/dev/VolGroup00/LogVol02 reiserfs /home

If this problem occured because I used reiserfs on the /boot parition or becuase I use LVM I still don't know.

Version-Release number of selected component (if applicable):
2.6.11-1.1369_FC4

How reproducible:
Always

Steps to Reproduce:
1. Install Fedora Core 4 with a LVM partition and all reiserfs
2. Reboot and get a kernel panic error
  

Actual Results:  Kernel panic - not syncing: VFS: Unable to mount root fs on unknown block(0,0)

Expected Results:  Actually booting the computer

Additional info:

Comment 1 Magnus Anderson 2005-07-22 10:20:18 UTC
Exact error after the installation that I get is...

root (hd0,0)
Filesystem type is reiserfs, partition type 0x83
kernel /vmlinuz-2.6.11-1.1369_FC4 ro root=/dev/VolGroup00/LogVol01 rhgb quiet
[Linux-bzImage, setup=0x1e00, size=0x18e473]
initrd /initrd-2.6.11-1.1369_FC4.img

Uncompressing Linux... Ok, booting the kernel.
Kernel panic - not syncing: VFS: Unable to mount root fs on unknown-block(0,0)

Comment 2 Christian Iseli 2007-01-22 11:32:25 UTC
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.

Comment 3 petrosyan 2008-02-19 06:49:06 UTC
Fedora Core 4 is no longer maintained.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release, please reopen this bug and assign it to the
corresponding Fedora version.


Note You need to log in before you can comment on or make changes to this bug.